#!/usr/bin/python

"""
 Copyright (c) 2009
      Oracle Corporation.  All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Redistributions in any form must be accompanied by information on
    how to obtain complete source code for the Oracle VM CLI and any
    accompanying software that uses the Oracle VM CLI.  The source code
    must either be included in the distribution or be available for no
    more than the cost of distribution plus a nominal fee, and must be
    freely redistributable under reasonable conditions.  For an
    executable file, complete source code means the source code for all
    modules it contains.  It does not include source code for modules or
    files that typically accompany the major components of the operating
    system on which the executable file runs.

 THIS SOFTWARE IS PROVIDED BY ORACLE CORPORATION ``AS IS'' AND ANY EXPRESS
 OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 NON-INFRINGEMENT, ARE DISCLAIMED.  IN NO EVENT SHALL ORACLE CORPORATION
 BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 THE POSSIBILITY OF SUCH DAMAGE.
"""

import string
# Constants
# Server Type
MASTER_SERVER     = "Site Server"
VIRTUAL_SERVER    = "VM Server"
UTILITY_SERVER    = "Utility Server"

# VM Status
_RUNNING          = "Running"
_ERROR            = "Error"
_POWEREDOFF       = "Powered Off"
_UNKNOWN          = "Unknown"
_SUSPENDED        = "Suspended"
_SHUTTINGDOWN     = "Shutting Down"
_INITIALIZING     = "Initializing"
_PAUSED           = "Paused"
_MIGRATING        = "Migrating"
_SUSPENDING       = "Suspending"
_PAUSING          = "Pausing"
_CREATING         = "Creating"
_CLONING          = "Cloning"
_SAVING           = "Saving"
_DEPLOYING        = "Deploying"
_DELETING         = "Deleting"
_UNPAUSING        = "Unpausing"
_RESUMING         = "Resuming"
_REBOOTING        = "Rebooting"

PENDING           = "Pending"
ACTIVE            = "Active"
# VM Type
VM_TYPE_HVM       = "Fully Virtualized"
VM_TYPE_PVM       = "Paravirtualized"

# Default Deploy Path
DEFAULT_DEPLOY_PATH = "OVSWS" 

# DiskConf
HARD_DRIVER_AUTO = "auto"
HARD_DRIVER_IDE  = "hd"
HARD_DRIVER_SCSI = "sd"
HARD_DRIVER_XVD  = "xvd"
DISK_MODE_READ   = 0
DISK_MODE_WRITE  = 1

# NICConfig
NETWORK_TYPE_AUTO = "auto"
NETWORKTYPE_IOEMU = "ioemu"
NETWORKTYPE_NETFRONT = "netfront"

NETWORK_CONF_TYPE_DYNAMIC = "Dynamic"
NETWORK_CONF_TYPE_STATIC  = "Static"

# VirtualMachineBase
DEFAULT_KEYBOARD_LAYOUT   = "en-us"
BOOT_DEVICE_HDD           = "HDD"
BOOT_DEVICE_PXE           = "PXE"
BOOT_DEVICE_CDROM         = "CDROM"
# User Account Status
USER_LOCKED   = "Locked"
USER_UNLOCKED = "Unlocked"

# LOG STATUS
LOG_SHOW      = 0
LOG_FILE      = 1
LOG_FILE_SHOW = 2

# SERVERPOOL_NAME
SERVERPOOL_NAME = "SERVERPOOL_NAME"

ADMIN_ID = 1
MYWORKSPACE = "My Workspace"

# HA STATUS
HA_ENABLED  = "Enabled"
HA_DISABLED = "Disabled"

# ROLES
ADMINISTRATOR = "Administrator"


GROUP_CMDS = ['vm', 'svrp', 'svr', 'tmpl', 'img', 'iso', 'sd', 'val', 'user', 
              'group', 'vm_disk', 'vm_sd', 'vm_nic', 'vm_cd', 'user_group', 
              'user_svrp', 'vm disk', 'vm sd', 'vm nic', 'vm cd', 'user group', 'user svrp']
SHELL_ONLY = ['use', 'connect']
NOLOG_CMDS = ['help', 'config', 'connect'] + GROUP_CMDS

HELP_MSG_FORMAT = "%-15s   ---   %-40s"

EOF = -1

