"""
 Copyright (c) 2009
      Oracle Corporation.  All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Redistributions in any form must be accompanied by information on
    how to obtain complete source code for the Oracle VM CLI and any
    accompanying software that uses the Oracle VM CLI.  The source code
    must either be included in the distribution or be available for no
    more than the cost of distribution plus a nominal fee, and must be
    freely redistributable under reasonable conditions.  For an
    executable file, complete source code means the source code for all
    modules it contains.  It does not include source code for modules or
    files that typically accompany the major components of the operating
    system on which the executable file runs.

 THIS SOFTWARE IS PROVIDED BY ORACLE CORPORATION ``AS IS'' AND ANY EXPRESS
 OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 NON-INFRINGEMENT, ARE DISCLAIMED.  IN NO EVENT SHALL ORACLE CORPORATION
 BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 THE POSSIBILITY OF SUCH DAMAGE.
"""

from ServerPoolService_types import ns1 as spm
from VirtualMachineService_types import ns0 as vmm
from LifecycleService_types import ns1 as lfm
from ResourceService_types import ns1 as rsm

        
ServerPool           = spm.ServerPool_Def("ServerPool").pyclass
ServerPoolConfig     = spm.ServerPoolConfig_Def("ServerPoolConfig").pyclass
VirtualServer        = vmm.VirtualServer_Def("VirtualServer").pyclass
CdConfig             = lfm.CdConfig_Def("CdConfig").pyclass
CloneVmConfig        = lfm.CloneVmConfig_Def("CloneVmConfig").pyclass
DiscoveredISO        = rsm.DiscoveredISO_Def("DiscoveredISO").pyclass 
DiscoveredTemplate   = rsm.DiscoveredVirtualMachineTemplate_Def("DiscoveredTemplate").pyclass
DiskConfig           = lfm.DiskConfig_Def("DiskConfig").pyclass
DiskMode             = lfm.DiskMode_Def("DiskMode").pyclass
BootDevice           = lfm.BootDevice_Def("BootDevice").pyclass
VmType               = lfm.VmType_Def("VmType").pyclass
HardDriveType        = lfm.HardDriveType_Def("HardDriveType").pyclass
ISOResource          = rsm.ISOResource_Def("ISOResource").pyclass
ISOResourceConfig    = rsm.ISOResourceConfig_Def("ISOResourceConfig").pyclass
ISOVMConfig          = lfm.ISOVmConfig_Def("ISOVMConfig").pyclass
NICConfig            = lfm.NICConfig_Def("NICConfig").pyclass
NetworkType          = lfm.NetworkType_Def("NetworkType").pyclass
NetworkConfType      = lfm.NetworkConfType_Def("networkConfType").pyclass
OperatingSystem      = vmm.OperatingSystem_Def("OperatingSystem").pyclass
SharedVirtualDisk    = rsm.SharedVirtualDisk_Def("SharedVirtualDisk").pyclass 
SharedVirtualDiskConfig = rsm.SharedVirtualDiskConfig_Def("SharedVirtualDiskConfig").pyclass
VirtualDisk          = rsm.VirtualDisk_Def("VirtualDisk").pyclass
VirtualMachine       = vmm.VirtualMachine_Def("VirtualMachine").pyclass 
VirtualServer        = spm.VirtualServer_Def("VirtualServer").pyclass
MasterVirtualServer  = spm.MasterVirtualServer_Def("MasterVirtualServer").pyclass
UtilityVirtualServer = spm.UtilityVirtualServer_Def("UtilityVirtualServer").pyclass
ISOResourceConfig      = rsm.ISOResourceConfig_Def("ISOResourceConfig").pyclass
NICConfig              = lfm.NICConfig_Def("NICConfig").pyclass
PXEVMConfig            = lfm.PXEVMConfig_Def("PXEVMConfig").pyclass
VirtualServerConfig    = spm.VirtualServerConfig_Def("VirtualServerConfig").pyclass
TemplateVMConfig       = lfm.TemplateVmConfig_Def("TemplateVMConfig").pyclass
VirtualMachineImage    = rsm.VirtualMachineImage_Def("VirtualMachineImage").pyclass
VirtualMachineTemplate = rsm.VirtualMachineTemplate_Def("VirtualMachineTemplate").pyclass
DeployVmConfig          = lfm.DeployVmConfig_Def("DeployVmConfig").pyclass  